AWSTemplateFormatVersion: '2010-09-09'
Transform: AWS::Serverless-2016-10-31
Description: Portfolio template to deploy infraestructure resources.

Parameters:

  DomainS3BucketName:
    Type: String

Resources:

  DomainS3Bucket:
    Type: AWS::S3::Bucket
    Properties:
      BucketName: !Ref DomainS3BucketName
      AccessControl: PublicRead
      WebsiteConfiguration:
        IndexDocument: index.html
    DeletionPolicy: Retain

  DomainS3BucketPolicy:
    Type: AWS::S3::BucketPolicy
    Properties:
      PolicyDocument:
        Id: DomainBucketS3Policy
        Version: '2012-10-17'
        Statement:
          - Sid: DomainPublicReadForGetBucketObjects
            Effect: Allow
            Principal: '*'
            Action: 's3:GetObject'
            Resource: !Join ['', ['arn:aws:s3:::', !Ref DomainS3BucketName, '/*']]
      Bucket: !Ref DomainS3Bucket
